English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Exceptions

The `google.appengine.api.users` package provides the following exception classes:

exception Error()

  This is the base class for all exceptions in this package.

exception UserNotFoundError()

  Raised by the User constructor if no email_address is provided and the current user is not logged in.

exception RedirectTooLongError()

  The redirect URL given to create_login_url() or create_logout_url() exceeds the maximum allowed length for a redirect URL.